package com.lzmispt.data.resource.service.metadata;

package .tmp;

import com.lzmispt.data.center.entity.dto.resource.metadata.DeleteDirectoryDTO;
import com.lzmispt.data.center.entity.dto.resource.metadata.GetDirectoryTreeDataDTO;
import com.lzmispt.data.center.entity.dto.resource.metadata.GetEntityByDataSourceIdDTO;
import com.lzmispt.data.center.entity.vo.resource.metadata.DirectoryTreeVO;
import com.lzmispt.data.center.entity.vo.resource.metadata.DirectoryUsedInterfaceVO;
import com.lzmispt.data.center.entity.vo.resource.metadata.GetFileTableAndChildVO;
import com.lzmispt.data.center.entity.vo.resource.metadata.GetMetadataEntityInfoVO;
import com.lzmispt.data.center.entity.vo.resource.metadata.GetTableConnectionInfoVO;
import com.lzmispt.data.center.entity.vo.resource.metadata.MetadataDirectoryUsageVO;
import com.lzmispt.data.center.entity.vo.resource.metadata.MetadataDirectoryVO;
import com.lzmispt.data.center.entity.vo.resource.metadata.MetadataEntityBasicInfoVO;
import com.lzmispt.data.center.entity.vo.resource.metadata.MetadataEntityInfoItemVO;
import com.lzmispt.data.center.entity.vo.resource.metadata.MetadataEntityVO;
import com.lzmispt.data.center.entity.vo.resource.resources.ResAndDataEntityVO;
import com.lzmispt.data.center.entity.vo.resource.resources.ResFileInfoTableVO;
import com.lzmispt.data.resource.entity.dto.metadata.DragDirectoryDTO;
import com.lzmispt.data.resource.entity.dto.metadata.GetDirectoryTreeByEntityIdsDTO;
import com.lzmispt.data.resource.entity.dto.metadata.GetDirectoryTreeByPubStateDTO;
import com.lzmispt.data.resource.entity.dto.metadata.ImportMetadataEntityDTO;
import com.lzmispt.data.resource.entity.dto.metadata.MetadataDirectoryDTO;
import com.lzmispt.data.resource.entity.dto.metadata.SaveMetadataEntityDTO;
import com.lzmispt.data.resource.entity.dto.resanddata.ResAndDataEntityDTO;
import com.lzmispt.data.resource.entity.po.metadata.MetadataDirectoryPO;
import com.lzmispt.data.resource.entity.po.metadata.MetadataEntityPO;
import com.lzmispt.data.resource.entity.vo.metadata.DirectoryTreeBaseVO;
import com.lzmispt.data.resource.entity.vo.metadata.SelectMetadataEntityVO;
import com.lzmispt.framework.entity.entity.ResultEntity;
import java.util.List;
import java.util.Map;

public interface IDataResource {
  ResultEntity<List<DirectoryTreeVO>> importMetadataEntity(ImportMetadataEntityDTO paramImportMetadataEntityDTO, String paramString1, String paramString2);
  
  ResultEntity<MetadataDirectoryVO> getMetadataDirectoryById(Long paramLong, String paramString1, String paramString2, Integer paramInteger);
  
  ResultEntity<MetadataDirectoryVO> getParentDirectoryById(Long paramLong, String paramString1, String paramString2, Integer paramInteger);
  
  boolean tableNameIsContainsSpace(String paramString);
  
  ResultEntity<List<DirectoryTreeVO>> getDirectoryTreeData(String paramString, GetDirectoryTreeDataDTO paramGetDirectoryTreeDataDTO);
  
  ResultEntity<List<DirectoryTreeVO>> getExistCopyTable(String paramString, GetDirectoryTreeDataDTO paramGetDirectoryTreeDataDTO, List<Long> paramList);
  
  ResultEntity<List<DirectoryTreeVO>> getDirectoryTreeData(String paramString1, GetDirectoryTreeDataDTO paramGetDirectoryTreeDataDTO, String paramString2);
  
  ResultEntity<Boolean> checkCurDirectoryIsExistsEntity(Long paramLong, Integer paramInteger, String paramString);
  
  List<String> isDataCenterApplyDataTableApplyInterface(Long paramLong, String paramString1, String paramString2);
  
  void clearDataRelationByEntityId(Long paramLong, Integer paramInteger, String paramString);
  
  ResultEntity<DirectoryTreeVO> saveMetadataDirectory(MetadataDirectoryDTO paramMetadataDirectoryDTO, String paramString1, String paramString2);
  
  ResultEntity<Boolean> saveMetadataEntity(SaveMetadataEntityDTO paramSaveMetadataEntityDTO);
  
  ResultEntity<Integer> getMaxDirectoryOrderByDirectoryId(GetDirectoryTreeDataDTO paramGetDirectoryTreeDataDTO);
  
  ResultEntity<Boolean> deleteDirectoryByDirectoryId(DeleteDirectoryDTO paramDeleteDirectoryDTO, String paramString);
  
  ResultEntity<Boolean> checkExistsDirectory(MetadataDirectoryDTO paramMetadataDirectoryDTO);
  
  Boolean checkExistsDirectoryCode(MetadataDirectoryDTO paramMetadataDirectoryDTO);
  
  ResultEntity<Boolean> checkDeleteDirectoryByDirectoryId(String paramString1, String paramString2, Long paramLong, Integer paramInteger);
  
  ResultEntity<MetadataEntityVO> getMetadataEntityByDirectoyId(Long paramLong, String paramString1, Integer paramInteger, String paramString2);
  
  ResultEntity<SelectMetadataEntityVO> getMetadataEntityByDirectoryId(Long paramLong, String paramString1, Integer paramInteger1, String paramString2, Integer paramInteger2);
  
  SelectMetadataEntityVO getMetadataEntityByDirectoryId(Long paramLong);
  
  ResultEntity<List<MetadataEntityVO>> getMetadataEntityListByDirectoryId(Long paramLong, String paramString);
  
  ResultEntity<List<DirectoryUsedInterfaceVO>> getDirectoryUsedInterfaces(Long paramLong, String paramString1, String paramString2);
  
  ResultEntity<MetadataDirectoryUsageVO> getDirectoryUsedInfo(DeleteDirectoryDTO paramDeleteDirectoryDTO, String paramString1, String paramString2, Integer paramInteger);
  
  ResultEntity<MetadataDirectoryUsageVO> getDirectoryUsedInfoForUpdate(DeleteDirectoryDTO paramDeleteDirectoryDTO, String paramString1, String paramString2, Integer paramInteger);
  
  ResAndDataEntityDTO createOrRefreshMetadataEntity(Long paramLong1, String paramString1, Long paramLong2, Long paramLong3, Integer paramInteger1, String paramString2, Integer paramInteger2);
  
  ResultEntity<MetadataEntityVO> getMetadataEntityByEntityId(Long paramLong, Integer paramInteger, String paramString);
  
  ResultEntity<Object> getFileTableIdByDirectoryId(Long paramLong, String paramString, Integer paramInteger);
  
  Boolean checkIsValidEntity(MetadataEntityPO paramMetadataEntityPO, String paramString, Integer paramInteger);
  
  MetadataEntityPO createOrRefreshMetadataEntity(Long paramLong, String paramString1, String paramString2, String paramString3, MetadataDirectoryPO paramMetadataDirectoryPO, MetadataEntityPO paramMetadataEntityPO, String paramString4);
  
  MetadataEntityPO thisDirectoryExistMasterEntity(Long paramLong, String paramString);
  
  ResultEntity<MetadataEntityVO> getMasterEntityByDirectoryId(Long paramLong, String paramString);
  
  ResultEntity<Map> getDirectoryTreeContainSelected(GetDirectoryTreeDataDTO paramGetDirectoryTreeDataDTO);
  
  ResultEntity<Map> getDirectoryTreeContainMasterTable(GetDirectoryTreeDataDTO paramGetDirectoryTreeDataDTO, String paramString);
  
  ResultEntity<Boolean> dragDirectory(DragDirectoryDTO paramDragDirectoryDTO);
  
  ResultEntity<GetMetadataEntityInfoVO> getEntityInfoByDirectoryId(Long paramLong, String paramString1, Integer paramInteger, String paramString2);
  
  ResultEntity<Map<String, Object>> getFileInfoByDirectoryId(Long paramLong, String paramString);
  
  ResultEntity<GetTableConnectionInfoVO> getTableAndFileTableConnectionInfo(Long paramLong, String paramString, Integer paramInteger);
  
  ResultEntity<List<Map<String, Object>>> getQueryByDirectoryIdAndSql(Long paramLong, String paramString1, String paramString2, Boolean paramBoolean);
  
  ResultEntity<List<GetFileTableAndChildVO>> getChildByDirectoryId(Long paramLong, String paramString1, String paramString2, Integer paramInteger);
  
  ResultEntity<Boolean> deleteDirectoryUsage(DeleteDirectoryDTO paramDeleteDirectoryDTO, String paramString1, String paramString2);
  
  ResultEntity<List<MetadataEntityInfoItemVO>> getMetadataEntityInfoItemListByIds(List<Long> paramList, Integer paramInteger, String paramString1, String paramString2);
  
  ResultEntity<List<MetadataEntityInfoItemVO>> getEntityInfoItemsByEntityId(Long paramLong, String paramString, Integer paramInteger);
  
  ResultEntity<Boolean> checkDataSourceIdApplyDirectory(Long paramLong, Integer paramInteger);
  
  ResultEntity<Boolean> getEnableHistory(String paramString1, String paramString2);
  
  ResultEntity<ResFileInfoTableVO> getFileTableIdByDirectoryIdForRes(Long paramLong, String paramString);
  
  ResultEntity<List<DirectoryTreeBaseVO>> getDirectoryTreeByEntityIds(GetDirectoryTreeByEntityIdsDTO paramGetDirectoryTreeByEntityIdsDTO);
  
  ResultEntity<List<DirectoryTreeVO>> getDirectoryTreeByPubState(GetDirectoryTreeByPubStateDTO paramGetDirectoryTreeByPubStateDTO);
  
  ResultEntity<List<MetadataEntityBasicInfoVO>> getEntityBasicInfoListByPlatAndDataSourceId(GetEntityByDataSourceIdDTO paramGetEntityByDataSourceIdDTO, Integer paramInteger, String paramString);
  
  ResAndDataEntityVO getResAndDataEntityByResEntityId(Long paramLong, String paramString1, String paramString2);
}
